org.eclipse.viatra.query.runtime.localsearch.operations

## Class AbstractPositivePatternCallOperation

- java.lang.Object
- - org.eclipse.viatra.query.runtime.localsearch.operations.AbstractPositivePatternCallOperation

- All Implemented Interfaces:
    ISearchOperation
  Direct Known Subclasses:
    ExtendPositivePatternCall

      public abstract class AbstractPositivePatternCallOperation
      extends java.lang.Object
      implements ISearchOperation

  Since:
    1.4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CallOperationHelper.PatternCall` | `call`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractPositivePatternCallOperation(MatcherReference calledQuery, java.util.Map<PParameter,java.lang.Integer> parameterMapping)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.Integer>` | `getVariablePositions()`
    `void` | `onInitialize(MatchingFrame frame, ISearchContext context)` During the execution of the corresponding plan, the onInitialize callback is evaluated before the execution of the operation may begin.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.localsearch.operations.ISearchOperation

      `execute, onBacktrack`

- - ### Field Detail

    - #### call

          protected CallOperationHelper.PatternCall call

      Since:
        1.5

  - ### Constructor Detail

    - #### AbstractPositivePatternCallOperation

          protected AbstractPositivePatternCallOperation(MatcherReference calledQuery,
                                                         java.util.Map<PParameter,java.lang.Integer> parameterMapping)

      Since:
        1.5

  - ### Method Detail

    - #### onInitialize

          public void onInitialize(MatchingFrame frame,
                                   ISearchContext context)
                            throws LocalSearchException

      Description copied from interface: `ISearchOperation`
      During the execution of the corresponding plan, the onInitialize callback is evaluated before the execution of the operation may begin. Operations may use this method to initialize its internal data structures.
      Specified by:
        `onInitialize` in interface `ISearchOperation`
      Throws:
        `LocalSearchException`

    - #### getVariablePositions

          public java.util.List<java.lang.Integer> getVariablePositions()

      Specified by:
        `getVariablePositions` in interface `ISearchOperation`
      Returns:
        the ordered list of the variable numbers that are affected by the search operation

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`